#!/bin/sh

set -e
set -x

if test ! -e wireshark; then
	svn export -r37286 http://anonsvn.wireshark.org/wireshark/trunk wireshark
fi
cd wireshark

# patch wireshark
patch --dry-run -f -p0 < ../wireshark-plugins.patch > /dev/null && patch -p0 < ../wireshark-plugins.patch
patch --dry-run -f -p0 < ../wireshav-imf.patch > /dev/null && patch -p0 < ../wireshav-imf.patch
patch --dry-run -f -p0 < ../wireshark-export-all+mail-objects.patch > /dev/null && patch -p0 < ../wireshark-export-all+mail-objects.patch && rm -f Makefile
patch --dry-run -f -p0 < ../wireshark-wirebrowse-plugin.patch > /dev/null && patch -p0 < ../wireshark-wirebrowse-plugin.patch && rm -f Makefile
patch --dry-run -f -p0 < ../wireshark-plugins2.patch > /dev/null && patch -p0 < ../wireshark-plugins2.patch && rm -f Makefile
patch --dry-run -f -p0 < ../wireshark-dont-compile-plugins.patch > /dev/null && patch -p0 < ../wireshark-dont-compile-plugins.patch && rm -f Makefile

cp -r ../wireshnork plugins
cp -r ../wireshav plugins
cp -r ../wirebrowse plugins
cp -r ../wiresocks plugins
cp -r ../wireviz plugins

# configure
if test ! -e Makefile; then
	./autogen.sh
	CFLAGS="-O0 -pipe" ./configure
fi

# compile wireshark
make -j3 -s

# compile plugins
for plugin
do
	case $plugin in
		clean)
			make -C plugins clean 
			;;

		all)
			make -C plugins
			;;

		gsoc)
			make -C plugins/wirebrowse
			make -C plugins/wireshav
			make -C plugins/wireshnork
			make -C plugins/wiresocks
			make -C plugins/wireviz
			;;
		*)
			make -C plugins/$plugin
			;;
	esac
done

set +x

echo -en "\n\n\n"
echo "Wireshark compiled in `pwd`/wireshark (you probably want to add `pwd` to PATH)"
echo "Compiled plugins:"
for compiled in plugins/*/.libs/*.so
do
	echo -e "\t`basename $compiled`"
done

