typedef struct {
	address  src_address;    /**< source address */
	address  dst_address;    /**< destination address */
	guint32  src_port;       /**< source port */
	guint32  dst_port;       /**< destination port */
} conv_key_t;

typedef struct {
	conv_key_t key;
	guint32  port_type;      /**< port_type (e.g. PT_TCP) */

	guint32  rx_frames;      /**< number of received packets */
	guint32  tx_frames;      /**< number of transmitted packets */
	guint64  rx_bytes;       /**< number of received bytes */
	guint64  tx_bytes;       /**< number of transmitted bytes */

	nstime_t start_time;     /**< start time for the conversation */
	nstime_t stop_time;      /**< stop time for the conversation */
} conv_data_t;

void conv_list(const char *tap, const char *filter, GHFunc func, void (*user_func)(conv_data_t *, epan_dissect_t *, gpointer), void *user_data);
